import { addEnter } from "@/apis/index";
import { ref } from "vue";
import { toast, throttle } from "@/utils/common.js";

export function apply() {
    // tab相关
    const currentTb = ref(0);
    const tabArr = ref([{
            label: "我是企业，我要申请入驻",
            value: "012-01894315f4680185",
        },
        {
            label: "我是中介，我要合作加入",
            value: "012-01894315f4690186",
        },
    ]);
    const changeTab = (val, index) => {
        params.value = {
            enterId: "",
            mobile: "",
            name: "",
            companyName: "",
            type: {
                text: "012-01894315f4680185", //企业入驻 012-01894315f4680185 中介加入 012-01894315f4690186
            },
            estimatedPropertyTax: "",
        };
        params.value.type.text = val;
        currentTb.value = index;
    };

    // 表单相关
    const labelPosition = ref("right");
    const params = ref({
        enterId: "",
        mobile: "",
        name: "",
        companyName: "",
        type: {
            text: "012-01894315f4680185", //企业入驻 012-01894315f4680185 中介加入 012-01894315f4690186
        },
        estimatedPropertyTax: "",
    });

    const applyForEntry = async() => {
        let data;
        let res = await addEnter(params);
        if (res.data.status == 0) {
            data = res.data.data;
        }
        return data;
    };
    const submitForm = throttle(async() => {
        let { companyName, name, mobile ,text} = params.value;
        if (!companyName.trim()) {
            toast("请输入企业名称！", "error");
            return;
        }
        if (!name.trim()) {
            toast("请输入联系人名称！", "error");
            return;
        }
        if (!mobile.trim()) {
            toast("请输入联系电话！", "error");
            return;
        }
        if (currentTb.value == 0 && (text == "" || (text && !text.trim())) ) {
            toast("请输入需求内容！", "error");
            return;
        }
        let res = await addEnter(params.value);
        if (res.data.status == 0) {
            toast("提交成功！", "success");
        }
    }, 500);

    return { labelPosition, currentTb, tabArr, params, applyForEntry, changeTab, submitForm };
}