import {
    getPickListByKey,
    getRegistrationPackageList,
    getAreaIndustrialAllocationList,
    getEnterpriseHomeLinkList,
} from "@/apis/index";
import { ref } from "vue";
import { toast, sortByKey } from "@/utils/common.js";
const loading = ref(true);
const tabArr = ref([{
        label: "招商载体",
        value: 0,
    },
    {
        label: '企业"链家"',
        value: 1,
    },
    {
        label: "产业聚集",
        value: 2,
    },
]);
const currentTab = ref(0);
let registrationPackageList = ref([]);
let enterpriseData = ref([]);
let industrialAllocation = ref([]);
const pickList = [];

export function getIndustryData() {
    const changeTab = async val => {
        currentTab.value = val;
        getData(val);
    };
    const getPickList = temp => {
        const params = {
            key: "shitiwuyeshangjia_lianjialeixing",
        };
        let data;
        getPickListByKey(params)
            .then(res => {
                if (res.data.status == 0) {
                    data = sortByKey(res.data.data, "seq");
                    pickList.value = data;
                    enterpriseData.value = setEnterpriseData(pickList.value, temp);
                    console.log(enterpriseData.value);
                } else {
                    toast(res.data.msg, "error");
                }
            })
            .catch(error => {
                console.log(error);
            });
    };

    const getData = async tab => {
        registrationPackageList.value = [];
        enterpriseData.value = [];
        industrialAllocation.value = [];
        loading.value = true;
        let data;
        let res;
        if (tab == 0) {
            res = await getRegistrationPackageList();
        } else if (tab == 1) {
            res = await getEnterpriseHomeLinkList();
        } else {
            res = await getAreaIndustrialAllocationList();
        }
        try {
            if (res.data.status == 0) {
                data = res.data.data;
                if (tab == 0) {
                    registrationPackageList.value = data;
                } else if (tab == 1) {
                    getPickList(data);
                } else {
                    industrialAllocation.value = data;
                }
                loading.value = false;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            console.log(error);
            toast("获取数据失败，请刷新重试！", "error");
        }
    };
    const setEnterpriseData = (typeArr, data) => {
        let arr = [];
        typeArr.forEach(element => {
            arr.push({
                element,
                enterpriseData: data.filter(item => item.homeLinkType.id === element.itemId),
            });
        });
        return arr;
    };

    return {
        loading,
        tabArr,
        currentTab,
        changeTab,
        getData,
        registrationPackageList,
        enterpriseData,
        industrialAllocation,
    };
}