import {
    getReleasePolicyList,
    getPickListByKey,
    updateReleasePolicyPageView,
    getReleasePolicyById,
} from "@/apis/index";
import { ref } from "vue";
import { toast } from "@/utils/common.js";

export function getReleasePolicyData() {
    const params = ref({
        policyTypeId: "",
        search: "",
        page: 1,
        pageSize: 10,
    });
    const getList = async params => {
        let data;
        try {
            let res = await getReleasePolicyList(params.value);
            if (res.data.status == 0) {
                data = res.data.data;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            toast("获取数据失败，请刷新重试！", "error");
        }

        return data;
    };
    const getPickList = async() => {
        const params = {
            key: "zhengcefabuguanli_zhengceleixing",
        };
        let data;
        try {
            let res = await getPickListByKey(params);
            if (res.data.status == 0) {
                data = res.data.data;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            toast("获取数据失败，请刷新重试！", "error");
        }

        return data;
    };

    const getReleasePolicyDetail = async releasePolicyId => {
        let data;
        try {
            let res = await getReleasePolicyById({ releasePolicyId });
            if (res.data.status == 0) {
                data = res.data.data;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            console.log(error);
        }
        return data;
    };

    const updatePageView = async p => {
        let data;
        try {
            let res = await updateReleasePolicyPageView(p);
            if (res.data.status == 0) {
                data = res.data.data;
            } else {
                toast(res.data.msg, "error");
            }
        } catch (error) {
            console.log(error);
        }

        return data;
    };

    return { params, getList, getPickList, updatePageView, getReleasePolicyDetail };
}